## GstBtEnvelope GstBtEnvelope — envelope base class |

## Functions

gboolean | gstbt_envelope_is_running ()
void | gstbt_envelope_reset ()

## Types and Values

struct | GstBtEnvelope

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlSource
                    ╰── GstTimedValueControlSource
                        ╰── GstInterpolationControlSource
                            ╰── GstBtEnvelope
                                ├── GstBtEnvelopeAD
                                ├── GstBtEnvelopeADSR
                                ╰── GstBtEnvelopeD

## Includes

    #include <libgstbuzztrax/envelope.h>

## Description

Base class for envelopes. The are specialized control sources. Subclsses provide constructors and configure a GstInterpolationControlSource according to the parameters given.

## Functions

### gstbt_envelope_is_running ()

    gboolean
    gstbt_envelope_is_running (GstBtEnvelope *self,
                               guint64 offset);

Checks if the end of the envelop has reached. Can be used to skip audio rendering once the end is reached.

#### Parameters

self | the envelope |
offset | the current offset |

#### Returns

if the envelope is still running

### gstbt_envelope_reset ()

    void
    gstbt_envelope_reset (GstBtEnvelope *self);

Resets the envelope. Call this to to turn off envelopes before playing a song another time.

#### Parameters

self | the envelope |

## Types and Values

### struct GstBtEnvelope

    struct GstBtEnvelope {
      guint64 length;
    };

Class instance data.

#### Members

guint64 `length`; | length of the envelope in samples |